Coupler.h File Reference
`#include "Paso.h"`
`#include "PasoException.h"`
`#include "SharedComponents.h"`

Go to the source code of this file.

## Classes

struct | paso::Connector
struct | paso::Coupler< Scalar >

## Namespaces

| paso

## Typedefs

typedef boost::shared_ptr< Connector > | paso::Connector_ptr
typedef boost::shared_ptr< const Connector > | paso::const_Connector_ptr
template<typename T >
using | paso::Coupler_ptr = boost::shared_ptr< Coupler< T > >
template<typename T >
using | paso::const_Coupler_ptr = boost::shared_ptr< const Coupler< T > >